//<c>   Copyright 1988-2000 by Gerry J. Danen; all rights reserved.

//<t>   Convert LF to CR/LF
//
//      This program converts a file that only contains <lf> characters to one
//      that contains <cr><lf> pairs.  Useful for moving text files from an
//      Amiga to an MS-DOS system.
//
//              Usage:  LF2CRLF file_in file_out
//
//      Full pathnames are supported for the filenames.
//
#include"gd_tools.h"


#define pgVERS_ "V2.21"
#define pgTITL_ "Convert LF to CR/LF"
#define pgCOPR_ "1988"


#define BUFSIZE 10000
UCHAR   iFile[FS_LEN], oFile[FS_LEN], work[BUFSIZE+2], *w ;
long    lines = 0 ;
FILE    *iFh, *oFh ;


void    show_help_and_quit( void )
{
    logon(1);
    fprintf( stderr,
             "\nThis program converts a file that only contains <lf> characters to one\n"
             "that contains <cr><lf> pairs.  Useful for moving text files from an\n"
             "Amiga to an MS-DOS system, for example.\n\n"
             "\tUsage:  %s file_in file_out\n\n"
             "Full pathnames are supported for the filenames.\n\n", get_global_program_name() );
    exit( GD_ERROR_HELP );
}


void    main( int argc, char *argv[] )
{
    tt_init( SHAREWARE_VERSION, 0, pgVERS_, pgTITL_, pgCOPR_ );
    logon(0);

    if ( argc != 3 )
        show_help_and_quit();

    st_cpy( iFile, (UCHAR *) argv[1], FS_LEN );
    st_cpy( oFile, (UCHAR *) argv[2], FS_LEN );
    strupr( (char *) iFile );
    strupr( (char *) oFile );

    if ( ( iFh = fopen( iFile, "r" ) ) == NULL )
    {
        logon(1);
        fprintf( stderr, "\n\nFile %s not found\a\n", iFile );
        show_help_and_quit();
    }

    oFh = fl_create_or_replace_tty( oFh, oFile, "w", YES, YES );

    fprintf( stderr, "%s: reading %s ...", get_global_program_name(), iFile );

    while ( (w = fgets( work, BUFSIZE, iFh )) )
    {
        fprintf( oFh, "%s", work );
        lines ++ ;
    }
    _fcloseall();
    fprintf( stderr, " %ld lines\n", lines );

    exit( GD_ERROR_NONE );
}
